package main

import (
	"os"
	"fmt"
)

func eprintf(format string, i ...interface{}) {
	fmt.Fprintf(os.Stderr, format, i...)
}

func main() {
	var i int

	eprintf("Hi! I'm fake. I've been called as: %s ", os.Args[0])

	for i = 1; i < len(os.Args[0:]); i++ {
		eprintf("%s ", os.Args[i])
	}

	eprintf("\n")

	os.Exit(1)
}
